### Class

# GUPnPAV DIDLLiteCreateClass

#### Description [src]

    class GUPnPAV.DIDLLiteCreateClass : GObject.Object
    {
      /* No available fields */
    }

DIDL-Lite CreateClass

`GUPnPDIDLLiteCreateClass` respresents a DIDL-Lite create class element.

#### Ancestors

- GObject

#### Instance methods

###### gupnp_didl_lite_create_class_get_content

Get the content of the `create_class`.

###### gupnp_didl_lite_create_class_get_friendly_name

Get the friendly name of the `create_class`.

###### gupnp_didl_lite_create_class_get_include_derived

Checks whether `create_class` can be derived.

###### gupnp_didl_lite_create_class_get_xml_node

Get the pointer to relevant node in XML document.

###### gupnp_didl_lite_create_class_set_content

Set the content of the `create_class`.

###### gupnp_didl_lite_create_class_set_friendly_name

Set the friendly name of the `create_class`.

###### gupnp_didl_lite_create_class_set_include_derived

(Un)set the derivability of create_class.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GUPnPAV.DIDLLiteCreateClass:content

The content of this create Class.

###### GUPnPAV.DIDLLiteCreateClass:friendly-name

The friendly name of this create Class.

###### GUPnPAV.DIDLLiteCreateClass:include-derived

Whether this create Class can be derived.

###### GUPnPAV.DIDLLiteCreateClass:xml-doc

The reference to XML document containing this object.

###### GUPnPAV.DIDLLiteCreateClass:xml-node

The pointer to desc node in XML document.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVDIDLLiteCreateClassClass {
      GObjectClass parent_class;
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.